<template>
  <div class="home-techies">
    <div :class="$vuetify.breakpoint.smAndDown ? 'pt-5 pb-5' : 'deskpadd'">
      <v-container fluid>
        <header v-scrollAnime class="blue--text accent-4 pb-10">
          <h1 class="text-center pb-10">
            {{ $t('technologyUse') }}
          </h1>
        </header>
        <v-row class="fill-height">
          <v-col v-for="tech in technology" :key="tech.key" class="pa-6" cols="12">
            <v-row class="d-flex justify-center">
              <v-col
                v-for="item in tech.icons"
                :key="item.title"
                v-scrollAnime
                cols="4"
                sm="2"
                md="2"
                lg="1"
                class="d-flex justify-center"
              >
                <TechCards
                  :color="item.color"
                  :title="item.title"
                  :tooltip="item.tooltip"
                />
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-container>
    </div>
  </div>
</template>
<script>
export default {
  name: 'HomeTechnology',
  data() {
    return {
      technology: [
        {
          key: 'infrastructure',
          icons: [
            {
              title: 'si_maas',
              color: '#E95420',
              tooltip: 'MAAS',
            },
            {
              title: 'si_linux',
              color: '#FCC624',
              tooltip: 'Linux',
            },
            {
              title: 'si_debian',
              color: '#A81D33',
              tooltip: 'Debian',
            },
            {
              title: 'si_ubuntu',
              color: '#E95420',
              tooltip: 'Ubuntu',
            },
            {
              title: 'si_ansible',
              color: '#EE0000',
              tooltip: 'Ansible',
            },
            {
              title: 'si_saltstack',
              color: '#00EACE',
              tooltip: 'SaltStack',
            },
            {
              title: 'si_kubernetes',
              color: '#326CE5',
              tooltip: 'Kubernetes',
            },
            {
              title: 'si_docker',
              color: '#2496ED',
              tooltip: 'Docker',
            },
          ],
        },
        {
          key: 'backend',
          icons: [
            {
              title: 'si_golang',
              color: '#00ADD8',
              tooltip: 'Go',
            },
            {
              title: 'si_php',
              color: '#777BB4',
              tooltip: 'PHP',
            },
            {
              title: 'si_nginx',
              color: '#269539',
              tooltip: 'NGINX',
            },
            {
              title: 'si_python',
              color: '#3776AB',
              tooltip: 'Python',
            },
            {
              title: 'si_node_dot_js',
              color: '#339933',
              tooltip: 'Node.js',
            },
            {
              title: 'si_rust',
              color: '#000000',
              tooltip: 'Rust',
            },
            {
              title: 'si_redis',
              color: '#DC382D',
              tooltip: 'Redis',
            },
            {
              title: 'si_postgresql',
              color: '#DC382D',
              tooltip: 'PostgreSQL',
            },
            {
              title: 'si_influxdb',
              color: '#22ADF6',
              tooltip: 'InfluxDB',
            },
            {
              title: 'si_mongodb',
              color: '#47A248',
              tooltip: 'MongoDB',
            },
            {
              title: 'si_mariadb',
              color: '#003545',
              tooltip: 'MariaDB',
            },
          ],
        },
        {
          key: 'frontend',
          icons: [
            {
              title: 'si_apachecordova',
              color: '#a39d9d',
              tooltip: 'Apache Cordova',
            },
            {
              title: 'si_vue_dot_js',
              color: '#4FC08D',
              tooltip: 'Vue.js',
            },
            {
              title: 'si_angularjs',
              color: '#E23237',
              tooltip: 'AngularJS',
            },
            {
              title: 'si_sass',
              color: '#CC6699',
              tooltip: 'Sass',
            },
            {
              title: 'si_inkscape',
              color: '#000000',
              tooltip: 'Inkscape',
            },
            {
              title: 'si_gimp',
              color: '#5C5543',
              tooltip: 'GIMP',
            },
            {
              title: 'si_webpack',
              color: '#FBA919',
              tooltip: 'Webpack',
            },
            {
              title: 'si_typescript',
              color: '#007ACC',
              tooltip: 'TypeScript',
            },
          ],
        },
      ],
    };
  },
};
</script>
